Bug 891639 - Async Tasks cleaner utility is required for upgrade path from 3.1 to 3.2
Async Tasks cleaner utility is required for upgrade path from 3.1 to 3.2
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
Unspecified Unspecified
urgent Severity unspecified
: ---
: 3.2.0
Assigned To: Eli Mesika
Pavel Stehlik
infra
: ZStream
Depends On:
Blocks: 907461 915537
  Show dependency treegraph
 
Reported: 2013-01-03 08:46 EST by Yair Zaslavsky
Modified: 2016-02-10 14:13 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 907461 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11005 None None None Never

  None (edit)
Description Yair Zaslavsky 2013-01-03 08:46:16 EST
Description of problem:

A utility that will allow to present zombie tasks and let the user decide whether to erase them should be implemented for the upgrade path from 3.1 to 3.2


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Barak 2013-01-03 09:57:00 EST
3 additional issues that may be relevant:

- should it be exposed to GSS to use.
- should it allow to delete zombies when the engine is up?
- should we allow to use it only in maintenance mode?
Comment 2 Simon Grinberg 2013-01-13 05:42:21 EST
(In reply to comment #1)
> 3 additional issues that may be relevant:
> 
> - should it be exposed to GSS to use.

Yes 

> - should it allow to delete zombies when the engine is up?

If easy then yes

> - should we allow to use it only in maintenance mode?

No, why to limit.
Comment 3 Eli Mesika 2013-01-14 19:06:14 EST
http://gerrit.ovirt.org/#/c/11005/
Comment 4 Eli Mesika 2013-01-16 10:27:45 EST
fixed in commit: 0180240
Comment 8 Itamar Heim 2013-06-11 05:46:26 EDT
3.2 has been released
Comment 9 Itamar Heim 2013-06-11 05:46:30 EDT
3.2 has been released
Comment 10 Itamar Heim 2013-06-11 05:56:26 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.